#2570 closed defect (fixed)

m68k/mcf52235: linker script update (add KEEP() sections)

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: Indefinite
Component: bsps Version: 5
Severity: normal Keywords: function sections, KEEP
Cc: Blocked By:
Blocking:

Description

This BSP's linker script does not include KEEP() directives and thus cannot have per-function and per-data element section support enabled.

The preferred solution is to convert the BSP to use a shared base linker script. The acceptable solution is to add the proper KEEP directives to the existing linker script(s).

Shared linker scripts for the arm, m68k, and sparc have the proper KEEP sections and can serve as examples.

Change History (5)

comment:1 Changed on Feb 15, 2017 at 1:49:47 PM by Sebastian Huber

Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Aug 24, 2017 at 5:59:58 AM by Sebastian Huber

Milestone: 4.12.0Indefinite

comment:4 Changed on Sep 14, 2018 at 6:59:42 PM by Joel Sherrill

Keywords: function sections KEEP added

comment:5 Changed on Nov 29, 2018 at 3:20:21 PM by Shashvat Jain <shashvatjain2002@…>

Resolution: fixed
Status: assignedclosed

In 1fe6d11/rtems:

m68k/mcf52235:Add per-section compilation and linking support(GCI 2018)

The size of the sample executables without this option were:

text data bss dec hex filename

69776 1104 4080 74960 124d0 ./base_sp.exe

103376 1472 4192 109040 1a9f0 ./hello.exe

37808 304 2768 40880 9fb0 ./minimum.exe
93152 1584 4208 98944 18280 ./nsecs.exe
72784 1136 4112 78032 130d0 ./ticker.exe
72608 1088 7952 81648 13ef0 ./unlimited.exe

The size of the sample executables with this option were:

text data bss dec hex filename

65120 1104 4000 70224 11250 ./base_sp.exe
94448 1472 4160 100080 186f0 ./hello.exe
36928 304 2736 39968 9c20 ./minimum.exe
87072 1584 4128 92784 16a70 ./nsecs.exe
67888 1136 4032 73056 11d60 ./ticker.exe
70816 1088 7920 79824 137d0 ./unlimited.exe

Closes #2570

Note: See TracTickets for help on using tickets.